<template lang="pug">

	figure.iconoFichero
		img(:src="resolver(ext)", :alt="ext")

</template>

<script>
export default {
	name:"IconoFichero",
	props:[
		"ext"
	],
	methods:{
		resolver( ext ){
			let ico = iconos.def
			if (iconos.hasOwnProperty( ext )) {
				ico = iconos[ ext ]
			}
			return ico
		}
	}
}

// Aqui se definen todas las extensiones y sus iconos
// TODO:: completar todos los iconos para la mayoria de extensiones posibles
const iconos = {
	def:require("@img/ico-fichero.svg"),
	doc:require("@img/ico-doc.svg"),
	docx:require("@img/ico-doc.svg"),
	pdf:require("@img/ico-doc.svg"),
	ppt:require("@img/ico-ppt.svg"),
	jpg:require("@img/ico-img.svg"),
	jpeg:require("@img/ico-img.svg"),
	png:require("@img/ico-img.svg"),
	gif:require("@img/ico-img.svg"),
	webp:require("@img/ico-img.svg"),
	psd:require("@img/ico-img.svg"),
	ai:require("@img/ico-img.svg"),
	xls:require("@img/ico-hdc.svg"),
	xlsx:require("@img/ico-hdc.svg"),
}

</script>

<style lang="stylus">
@import '~nib/index'
@import "../stylus/base/utiles.styl"

.icono
	margin 0
	padding 0
	width 100%
	height 100%
	display flex
	display grid
	justify-content stretch//center
	align-content stretch//center
	justify-items center//center
	align-items stretch//center
	position relative

	img
		object-fit contain
		min-width 1rem
		width 100%
		height 100%

</style>
